Index: svn/src/arch/i386/lib/cbfs_and_run.c
===================================================================
--- svn.orig/src/arch/i386/lib/cbfs_and_run.c
+++ svn/src/arch/i386/lib/cbfs_and_run.c
@@ -28,7 +28,7 @@ void cbfs_and_run_core(const char *filen
 	dst = cbfs_load_stage(filename);
 	if (dst == (void *) -1) {
 		/* We should use die() here. */
-		print_emerg("Loading stage failed!\n");
+		print_err("Loading stage failed!\n");
 		for (;;)
 			asm("hlt\n");
 	}
Index: svn/src/arch/i386/lib/exception.c
===================================================================
--- svn.orig/src/arch/i386/lib/exception.c
+++ svn/src/arch/i386/lib/exception.c
@@ -475,7 +475,7 @@ void x86_exception(struct eregs *info)
 		put_packet(out_buffer);
 	}
 #else /* !CONFIG_GDB_STUB */
-	printk(BIOS_EMERG, 
+	printk(BIOS_ERR,
 		"Unexpected Exception: %d @ %02x:%08x - Halting\n"
 		"Code: %d eflags: %08x\n"
 		"eax: %08x ebx: %08x ecx: %08x edx: %08x\n"
Index: svn/src/boot/hardwaremain.c
===================================================================
--- svn.orig/src/boot/hardwaremain.c
+++ svn/src/boot/hardwaremain.c
@@ -64,7 +64,7 @@ void hardwaremain(int boot_complete)
 	
 	post_code(0x39);
 
-	printk(BIOS_NOTICE, "coreboot-%s%s %s %s...\n", 
+	printk(BIOS_INFO, "coreboot-%s%s %s %s...\n",
 		      coreboot_version, coreboot_extra_version, coreboot_build,
 		      (boot_complete)?"rebooting":"booting");
 
Index: svn/src/boot/selfboot.c
===================================================================
--- svn.orig/src/boot/selfboot.c
+++ svn/src/boot/selfboot.c
@@ -83,7 +83,7 @@ void * cbfs_load_payload(struct lb_memor
 	printk(BIOS_DEBUG, "Got a payload\n");
 
 	selfboot(lb_mem, payload);
-	printk(BIOS_EMERG, "SELFBOOT RETURNED!\n");
+	printk(BIOS_ERR, "SELFBOOT RETURNED!\n");
 
 	return (void *) -1;
 }
@@ -394,7 +394,7 @@ static int build_self_segment_list(
 			/* We found something that we don't know about. Throw
 			 * hands into the sky and run away!
 			 */
-			printk(BIOS_EMERG, "Bad segment type %x\n", segment->type);
+			printk(BIOS_ERR, "Bad segment type %x\n", segment->type);
 			return -1;
 		}
 
Index: svn/src/console/Kconfig
===================================================================
--- svn.orig/src/console/Kconfig
+++ svn/src/console/Kconfig
@@ -146,10 +146,6 @@ config MAXIMUM_CONSOLE_LOGLEVEL_6
 	bool "6: INFO"
 	help
 	  Informational messages.
-config MAXIMUM_CONSOLE_LOGLEVEL_5
-	bool "5: NOTICE"
-	help
-	  Normal but significant conditions.
 config MAXIMUM_CONSOLE_LOGLEVEL_4
 	bool "4: WARNING"
 	help
@@ -158,29 +154,12 @@ config MAXIMUM_CONSOLE_LOGLEVEL_3
 	bool "3: ERR"
 	help
 	  Error conditions.
-config MAXIMUM_CONSOLE_LOGLEVEL_2
-	bool "2: CRIT"
-	help
-	  Critical conditions.
-config MAXIMUM_CONSOLE_LOGLEVEL_1
-	bool "1: ALERT"
-	help
-	  Action must be taken immediately.
-config MAXIMUM_CONSOLE_LOGLEVEL_0
-	bool "0: EMERG"
-	help
-	  System is unusable.
-
 endchoice
 
 config MAXIMUM_CONSOLE_LOGLEVEL
 	int
-	default 0 if MAXIMUM_CONSOLE_LOGLEVEL_0
-	default 1 if MAXIMUM_CONSOLE_LOGLEVEL_1
-	default 2 if MAXIMUM_CONSOLE_LOGLEVEL_2
 	default 3 if MAXIMUM_CONSOLE_LOGLEVEL_3
 	default 4 if MAXIMUM_CONSOLE_LOGLEVEL_4
-	default 5 if MAXIMUM_CONSOLE_LOGLEVEL_5
 	default 6 if MAXIMUM_CONSOLE_LOGLEVEL_6
 	default 7 if MAXIMUM_CONSOLE_LOGLEVEL_7
 	default 8 if MAXIMUM_CONSOLE_LOGLEVEL_8
@@ -207,12 +186,6 @@ config DEFAULT_CONSOLE_LOGLEVEL_6
 		    MAXIMUM_CONSOLE_LOGLEVEL_6)
 	help
 	  Informational messages.
-config DEFAULT_CONSOLE_LOGLEVEL_5
-	bool "5: NOTICE"
-	depends on (MAXIMUM_CONSOLE_LOGLEVEL_8 || MAXIMUM_CONSOLE_LOGLEVEL_7 ||\
-		    MAXIMUM_CONSOLE_LOGLEVEL_6 || MAXIMUM_CONSOLE_LOGLEVEL_5)
-	help
-	  Normal but significant conditions.
 config DEFAULT_CONSOLE_LOGLEVEL_4
 	bool "4: WARNING"
 	depends on (MAXIMUM_CONSOLE_LOGLEVEL_8 || MAXIMUM_CONSOLE_LOGLEVEL_7 ||\
@@ -227,37 +200,12 @@ config DEFAULT_CONSOLE_LOGLEVEL_3
 		    MAXIMUM_CONSOLE_LOGLEVEL_4 || MAXIMUM_CONSOLE_LOGLEVEL_3)
 	help
 	  Error conditions.
-config DEFAULT_CONSOLE_LOGLEVEL_2
-	bool "2: CRIT"
-	depends on (MAXIMUM_CONSOLE_LOGLEVEL_8 || MAXIMUM_CONSOLE_LOGLEVEL_7 ||\
-		    MAXIMUM_CONSOLE_LOGLEVEL_6 || MAXIMUM_CONSOLE_LOGLEVEL_5 ||\
-		    MAXIMUM_CONSOLE_LOGLEVEL_4 || MAXIMUM_CONSOLE_LOGLEVEL_3 ||\
-		    MAXIMUM_CONSOLE_LOGLEVEL_2)
-	help
-	  Critical conditions.
-config DEFAULT_CONSOLE_LOGLEVEL_1
-	bool "1: ALERT"
-	depends on (MAXIMUM_CONSOLE_LOGLEVEL_8 || MAXIMUM_CONSOLE_LOGLEVEL_7 ||\
-		    MAXIMUM_CONSOLE_LOGLEVEL_6 || MAXIMUM_CONSOLE_LOGLEVEL_5 ||\
-		    MAXIMUM_CONSOLE_LOGLEVEL_4 || MAXIMUM_CONSOLE_LOGLEVEL_3 ||\
-		    MAXIMUM_CONSOLE_LOGLEVEL_2 || MAXIMUM_CONSOLE_LOGLEVEL_1)
-	help
-	  Action must be taken immediately.
-config DEFAULT_CONSOLE_LOGLEVEL_0
-	bool "0: EMERG"
-	help
-	  System is unusable.
-
 endchoice
 
 config DEFAULT_CONSOLE_LOGLEVEL
 	int
-	default 0 if DEFAULT_CONSOLE_LOGLEVEL_0
-	default 1 if DEFAULT_CONSOLE_LOGLEVEL_1
-	default 2 if DEFAULT_CONSOLE_LOGLEVEL_2
 	default 3 if DEFAULT_CONSOLE_LOGLEVEL_3
 	default 4 if DEFAULT_CONSOLE_LOGLEVEL_4
-	default 5 if DEFAULT_CONSOLE_LOGLEVEL_5
 	default 6 if DEFAULT_CONSOLE_LOGLEVEL_6
 	default 7 if DEFAULT_CONSOLE_LOGLEVEL_7
 	default 8 if DEFAULT_CONSOLE_LOGLEVEL_8
Index: svn/src/console/console.c
===================================================================
--- svn.orig/src/console/console.c
+++ svn/src/console/console.c
@@ -80,7 +80,7 @@ void post_code(u8 value)
 {
 #if !defined(CONFIG_NO_POST) || CONFIG_NO_POST==0
 #if CONFIG_SERIAL_POST==1
-	printk(BIOS_EMERG, "POST: 0x%02x\n", value);
+	printk(BIOS_ERR, "POST: 0x%02x\n", value);
 #endif
 	outb(value, 0x80);
 #endif
@@ -89,7 +89,7 @@ void post_code(u8 value)
 /* Report a fatal error */
 void __attribute__((noreturn)) die(const char *msg)
 {
-	printk(BIOS_EMERG, "%s", msg);
+	printk(BIOS_ERR, "%s", msg);
 	//post_code(0xff);
  	for (;;)
 		hlt();		/* Halt */
@@ -113,9 +113,9 @@ void post_code(u8 value)
 {
 #if !defined(CONFIG_NO_POST) || CONFIG_NO_POST==0
 #if CONFIG_SERIAL_POST==1
-	print_emerg("POST: 0x");
-	print_emerg_hex8(value);
-	print_emerg("\n");
+	print_err("POST: 0x");
+	print_err(value);
+	print_err("\n");
 #endif
 	outb(value, 0x80);
 #endif
@@ -123,7 +123,7 @@ void post_code(u8 value)
 
 void die(const char *str)
 {
-	print_emerg(str);
+	print_err(str);
 	do {
 		hlt();
 	} while(1);
Index: svn/src/devices/device_util.c
===================================================================
--- svn.orig/src/devices/device_util.c
+++ svn/src/devices/device_util.c
@@ -355,7 +355,7 @@ struct resource *find_resource(device_t 
 	/* See if there is a resource with the appropriate index */
 	resource = probe_resource(dev, index);
 	if (!resource) {
-		printk(BIOS_EMERG, "%s missing resource: %02x\n",
+		printk(BIOS_ERR, "%s missing resource: %02x\n",
 			dev_path(dev), index);
 		die("");
 	}
Index: svn/src/devices/hypertransport.c
===================================================================
--- svn.orig/src/devices/hypertransport.c
+++ svn/src/devices/hypertransport.c
@@ -317,7 +317,7 @@ static void ht_collapse_early_enumeratio
 			pci_write_config16(prev.dev, prev.pos + prev.ctrl_off, ctrl);
 			ctrl = pci_read_config16(prev.dev, prev.pos + prev.ctrl_off);
 			if (ctrl & ((1 << 4) | (1 << 8))) {
-				printk(BIOS_ALERT, "Detected error on Hypertransport Link\n");
+				printk(BIOS_ERR, "Detected error on Hypertransport Link\n");
 				return;
 			}
 		}
@@ -441,7 +441,7 @@ unsigned int hypertransport_scan_chain(s
 				pci_write_config16(prev.dev, prev.pos + prev.ctrl_off, ctrl);
 				ctrl = pci_read_config16(prev.dev, prev.pos + prev.ctrl_off);
 				if (ctrl & ((1 << 4) | (1 << 8))) {
-					printk(BIOS_ALERT, "Detected error on Hypertransport Link\n");
+					printk(BIOS_ERR, "Detected error on Hypertransport Link\n");
 					goto end_of_chain;
 				}
 			}
Index: svn/src/devices/pci_ops.c
===================================================================
--- svn.orig/src/devices/pci_ops.c
+++ svn/src/devices/pci_ops.c
@@ -39,7 +39,7 @@ static struct bus *get_pbus(device_t dev
 
 	while(pbus && pbus->dev && !ops_pci_bus(pbus)) {
 		if (pbus == pbus->dev->bus) {
-			printk(BIOS_ALERT, "%s in endless loop looking for a parent "
+			printk(BIOS_ERR, "%s in endless loop looking for a parent "
 				"bus with ops_pci_bus for %s, breaking out.\n",
 				 __func__, dev_path(dev));
 			break;
@@ -48,7 +48,7 @@ static struct bus *get_pbus(device_t dev
 	}
 	if (!pbus || !pbus->dev || !pbus->dev->ops || !pbus->dev->ops->ops_pci_bus) {
 		/* This can happen before the device tree is set up completely. */
-		//printk(BIOS_EMERG, "%s: Cannot find pci bus operations.\n", dev_path(dev));
+		//printk(BIOS_ERR, "%s: Cannot find pci bus operations.\n", dev_path(dev));
 		pbus = NULL;
 	}
 	return pbus;
Index: svn/src/devices/smbus_ops.c
===================================================================
--- svn.orig/src/devices/smbus_ops.c
+++ svn/src/devices/smbus_ops.c
@@ -32,7 +32,7 @@ struct bus *get_pbus_smbus(device_t dev)
 		pbus = pbus->dev->bus;
 	}
 	if (!pbus || !pbus->dev || !pbus->dev->ops || !pbus->dev->ops->ops_smbus_bus) {
-		printk(BIOS_ALERT, "%s Cannot find smbus bus operations", dev_path(dev));
+		printk(BIOS_ERR, "%s Cannot find smbus bus operations", dev_path(dev));
 		die("");
 	}
 	return pbus;
Index: svn/src/include/assert.h
===================================================================
--- svn.orig/src/include/assert.h
+++ svn/src/include/assert.h
@@ -25,21 +25,21 @@
 /* ROMCC versions */
 #define ASSERT(x) {						\
 	if(!(x)) {						\
-		print_emerg("ASSERTION FAILED: file '");	\
-		print_emerg(__FILE__);				\
-		print_emerg("', line 0x");			\
+		print_err("ASSERTION FAILED: file '");	\
+		print_err(__FILE__);				\
+		print_err("', line 0x");			\
 		print_debug_hex32(__LINE__);			\
-		print_emerg("\n");				\
+		print_err("\n");				\
 		/* die(""); */					\
 	}							\
 }
 
 #define BUG() {							\
-	print_emerg("BUG ENCOUNTERED: SYSTEM HALTED at file '");\
-	print_emerg(__FILE__);					\
-	print_emerg("', line 0x");				\
+	print_err("BUG ENCOUNTERED: SYSTEM HALTED at file '");\
+	print_err(__FILE__);					\
+	print_err("', line 0x");				\
 	print_debug_hex32(__LINE__);				\
-	print_emerg("\n");					\
+	print_err("\n");					\
 	/* die(""); */						\
 }
 
@@ -48,13 +48,13 @@
 /* GCC and CAR versions */
 #define ASSERT(x) {						\
 	if (!(x)) {						\
-		printk(BIOS_EMERG, "ASSERTION FAILED: file '%s', "	\
+		printk(BIOS_ERR, "ASSERTION FAILED: file '%s', "	\
 			" line %d\n", __FILE__, __LINE__);	\
 		/* die(""); */					\
 	}							\
 }
 #define BUG() {							\
-	printk(BIOS_EMERG, "BUG ENCOUNTERED: SYSTEM HALTED at file '%s', "	\
+	printk(BIOS_ERR, "BUG ENCOUNTERED: SYSTEM HALTED at file '%s', "	\
 		" line %d\n", __FILE__, __LINE__);		\
 	/* die(""); */						\
 }
Index: svn/src/include/console/console.h
===================================================================
--- svn.orig/src/include/console/console.h
+++ svn/src/include/console/console.h
@@ -73,57 +73,37 @@ int do_printk(int msg_level, const char 
 		if (CONFIG_MAXIMUM_CONSOLE_LOGLEVEL >= LEVEL) {	\
 			do_printk(LEVEL, fmt, ##args);		\
 		} else {					\
-			do_printk(BIOS_NEVER, fmt, ##args);	\
+			do_printk(BIOS_SPEW+1, fmt, ##args);	\
 		}						\
 	} while(0)
 #endif
 
-#define print_emerg(STR)         printk(BIOS_EMERG,  "%s", (STR))
-#define print_alert(STR)         printk(BIOS_ALERT,  "%s", (STR))
-#define print_crit(STR)          printk(BIOS_CRIT,   "%s", (STR))
 #define print_err(STR)           printk(BIOS_ERR,    "%s", (STR))
 #define print_warning(STR)       printk(BIOS_WARNING,"%s", (STR))
-#define print_notice(STR)        printk(BIOS_NOTICE, "%s", (STR))
 #define print_info(STR)          printk(BIOS_INFO,   "%s", (STR))
 #define print_debug(STR)         printk(BIOS_DEBUG,  "%s", (STR))
 #define print_spew(STR)          printk(BIOS_SPEW,   "%s", (STR))
 
-#define print_emerg_char(CH)     printk(BIOS_EMERG,  "%c", (CH))
-#define print_alert_char(CH)     printk(BIOS_ALERT,  "%c", (CH))
-#define print_crit_char(CH)      printk(BIOS_CRIT,   "%c", (CH))
 #define print_err_char(CH)       printk(BIOS_ERR,    "%c", (CH))
 #define print_warning_char(CH)   printk(BIOS_WARNING,"%c", (CH))
-#define print_notice_char(CH)    printk(BIOS_NOTICE, "%c", (CH))
 #define print_info_char(CH)      printk(BIOS_INFO,   "%c", (CH))
 #define print_debug_char(CH)     printk(BIOS_DEBUG,  "%c", (CH))
 #define print_spew_char(CH)      printk(BIOS_SPEW,   "%c", (CH))
 
-#define print_emerg_hex8(HEX)    printk(BIOS_EMERG,  "%02x",  (HEX))
-#define print_alert_hex8(HEX)    printk(BIOS_ALERT,  "%02x",  (HEX))
-#define print_crit_hex8(HEX)     printk(BIOS_CRIT,   "%02x",  (HEX))
 #define print_err_hex8(HEX)      printk(BIOS_ERR,    "%02x",  (HEX))
 #define print_warning_hex8(HEX)  printk(BIOS_WARNING,"%02x",  (HEX))
-#define print_notice_hex8(HEX)   printk(BIOS_NOTICE, "%02x",  (HEX))
 #define print_info_hex8(HEX)     printk(BIOS_INFO,   "%02x",  (HEX))
 #define print_debug_hex8(HEX)    printk(BIOS_DEBUG,  "%02x",  (HEX))
 #define print_spew_hex8(HEX)     printk(BIOS_SPEW,   "%02x",  (HEX))
 
-#define print_emerg_hex16(HEX)   printk(BIOS_EMERG,  "%04x", (HEX))
-#define print_alert_hex16(HEX)   printk(BIOS_ALERT,  "%04x", (HEX))
-#define print_crit_hex16(HEX)    printk(BIOS_CRIT,   "%04x", (HEX))
 #define print_err_hex16(HEX)     printk(BIOS_ERR,    "%04x", (HEX))
 #define print_warning_hex16(HEX) printk(BIOS_WARNING,"%04x", (HEX))
-#define print_notice_hex16(HEX)  printk(BIOS_NOTICE, "%04x", (HEX))
 #define print_info_hex16(HEX)    printk(BIOS_INFO,   "%04x", (HEX))
 #define print_debug_hex16(HEX)   printk(BIOS_DEBUG,  "%04x", (HEX))
 #define print_spew_hex16(HEX)    printk(BIOS_SPEW,   "%04x", (HEX))
 
-#define print_emerg_hex32(HEX)   printk(BIOS_EMERG,  "%08x", (HEX))
-#define print_alert_hex32(HEX)   printk(BIOS_ALERT,  "%08x", (HEX))
-#define print_crit_hex32(HEX)    printk(BIOS_CRIT,   "%08x", (HEX))
 #define print_err_hex32(HEX)     printk(BIOS_ERR,    "%08x", (HEX))
 #define print_warning_hex32(HEX) printk(BIOS_WARNING,"%08x", (HEX))
-#define print_notice_hex32(HEX)  printk(BIOS_NOTICE, "%08x", (HEX))
 #define print_info_hex32(HEX)    printk(BIOS_INFO,   "%08x", (HEX))
 #define print_debug_hex32(HEX)   printk(BIOS_DEBUG,  "%08x", (HEX))
 #define print_spew_hex32(HEX)    printk(BIOS_SPEW,   "%08x", (HEX))
@@ -199,23 +179,6 @@ static void __console_tx_string(int logl
 
 #define FUNCTIONS_FOR_PRINT
 #ifdef  FUNCTIONS_FOR_PRINT
-static void print_emerg_char(unsigned char byte) { __console_tx_char(BIOS_EMERG, byte); }
-static void print_emerg_hex8(unsigned char value){ __console_tx_hex8(BIOS_EMERG, value); }
-static void print_emerg_hex16(unsigned short value){ __console_tx_hex16(BIOS_EMERG, value); }
-static void print_emerg_hex32(unsigned int value) { __console_tx_hex32(BIOS_EMERG, value); }
-static void print_emerg(const char *str) { __console_tx_string(BIOS_EMERG, str); }
-
-static void print_alert_char(unsigned char byte) { __console_tx_char(BIOS_ALERT, byte); }
-static void print_alert_hex8(unsigned char value) { __console_tx_hex8(BIOS_ALERT, value); }
-static void print_alert_hex16(unsigned short value){ __console_tx_hex16(BIOS_ALERT, value); }
-static void print_alert_hex32(unsigned int value) { __console_tx_hex32(BIOS_ALERT, value); }
-static void print_alert(const char *str) { __console_tx_string(BIOS_ALERT, str); }
-
-static void print_crit_char(unsigned char byte) { __console_tx_char(BIOS_CRIT, byte); }
-static void print_crit_hex8(unsigned char value) { __console_tx_hex8(BIOS_CRIT, value); }
-static void print_crit_hex16(unsigned short value){ __console_tx_hex16(BIOS_CRIT, value); }
-static void print_crit_hex32(unsigned int value) { __console_tx_hex32(BIOS_CRIT, value); }
-static void print_crit(const char *str) { __console_tx_string(BIOS_CRIT, str); }
 
 static void print_err_char(unsigned char byte) { __console_tx_char(BIOS_ERR, byte); }
 static void print_err_hex8(unsigned char value) { __console_tx_hex8(BIOS_ERR, value); }
@@ -229,12 +192,6 @@ static void print_warning_hex16(unsigned
 static void print_warning_hex32(unsigned int value) { __console_tx_hex32(BIOS_WARNING, value); }
 static void print_warning(const char *str) { __console_tx_string(BIOS_WARNING, str); }
 
-static void print_notice_char(unsigned char byte) { __console_tx_char(BIOS_NOTICE, byte); }
-static void print_notice_hex8(unsigned char value) { __console_tx_hex8(BIOS_NOTICE, value); }
-static void print_notice_hex16(unsigned short value){ __console_tx_hex16(BIOS_NOTICE, value); }
-static void print_notice_hex32(unsigned int value) { __console_tx_hex32(BIOS_NOTICE, value); }
-static void print_notice(const char *str) { __console_tx_string(BIOS_NOTICE, str); }
-
 static void print_info_char(unsigned char byte) { __console_tx_char(BIOS_INFO, byte); }
 static void print_info_hex8(unsigned char value) { __console_tx_hex8(BIOS_INFO, value); }
 static void print_info_hex16(unsigned short value){ __console_tx_hex16(BIOS_INFO, value); }
@@ -254,52 +211,32 @@ static void print_spew_hex32(unsigned in
 static void print_spew(const char *str) { __console_tx_string(BIOS_SPEW, str); }
 
 #else
-#define print_emerg(STR)         __console_tx_string(BIOS_EMERG, STR)
-#define print_alert(STR)         __console_tx_string(BIOS_ALERT, STR)
-#define print_crit(STR)          __console_tx_string(BIOS_CRIT, STR)
 #define print_err(STR)           __console_tx_string(BIOS_ERR, STR)
 #define print_warning(STR)       __console_tx_string(BIOS_WARNING, STR)
-#define print_notice(STR)        __console_tx_string(BIOS_NOTICE, STR)
 #define print_info(STR)          __console_tx_string(BIOS_INFO, STR)
 #define print_debug(STR)         __console_tx_string(BIOS_DEBUG, STR)
 #define print_spew(STR)          __console_tx_string(BIOS_SPEW, STR)
 
-#define print_emerg_char(CH)     __console_tx_char(BIOS_EMERG, CH)
-#define print_alert_char(CH)     __console_tx_char(BIOS_ALERT, CH)
-#define print_crit_char(CH)      __console_tx_char(BIOS_CRIT, CH)
 #define print_err_char(CH)       __console_tx_char(BIOS_ERR, CH)
 #define print_warning_char(CH)   __console_tx_char(BIOS_WARNING, CH)
-#define print_notice_char(CH)    __console_tx_char(BIOS_NOTICE, CH)
 #define print_info_char(CH)      __console_tx_char(BIOS_INFO, CH)
 #define print_debug_char(CH)     __console_tx_char(BIOS_DEBUG, CH)
 #define print_spew_char(CH)      __console_tx_char(BIOS_SPEW, CH)
 
-#define print_emerg_hex8(HEX)    __console_tx_hex8(BIOS_EMERG, HEX)
-#define print_alert_hex8(HEX)    __console_tx_hex8(BIOS_ALERT, HEX)
-#define print_crit_hex8(HEX)     __console_tx_hex8(BIOS_CRIT, HEX)
 #define print_err_hex8(HEX)      __console_tx_hex8(BIOS_ERR, HEX)
 #define print_warning_hex8(HEX)  __console_tx_hex8(BIOS_WARNING, HEX)
-#define print_notice_hex8(HEX)   __console_tx_hex8(BIOS_NOTICE, HEX)
 #define print_info_hex8(HEX)     __console_tx_hex8(BIOS_INFO, HEX)
 #define print_debug_hex8(HEX)    __console_tx_hex8(BIOS_DEBUG, HEX)
 #define print_spew_hex8(HEX)     __console_tx_hex8(BIOS_SPEW, HEX)
 
-#define print_emerg_hex16(HEX)   __console_tx_hex16(BIOS_EMERG, HEX)
-#define print_alert_hex16(HEX)   __console_tx_hex16(BIOS_ALERT, HEX)
-#define print_crit_hex16(HEX)    __console_tx_hex16(BIOS_CRIT, HEX)
 #define print_err_hex16(HEX)     __console_tx_hex16(BIOS_ERR, HEX)
 #define print_warning_hex16(HEX) __console_tx_hex16(BIOS_WARNING, HEX)
-#define print_notice_hex16(HEX)  __console_tx_hex16(BIOS_NOTICE, HEX)
 #define print_info_hex16(HEX)    __console_tx_hex16(BIOS_INFO, HEX)
 #define print_debug_hex16(HEX)   __console_tx_hex16(BIOS_DEBUG, HEX)
 #define print_spew_hex16(HEX)    __console_tx_hex16(BIOS_SPEW, HEX)
 
-#define print_emerg_hex32(HEX)   __console_tx_hex32(BIOS_EMERG, HEX)
-#define print_alert_hex32(HEX)   __console_tx_hex32(BIOS_ALERT, HEX)
-#define print_crit_hex32(HEX)    __console_tx_hex32(BIOS_CRIT, HEX)
 #define print_err_hex32(HEX)     __console_tx_hex32(BIOS_ERR, HEX)
 #define print_warning_hex32(HEX) __console_tx_hex32(BIOS_WARNING, HEX)
-#define print_notice_hex32(HEX)  __console_tx_hex32(BIOS_NOTICE, HEX)
 #define print_info_hex32(HEX)    __console_tx_hex32(BIOS_INFO, HEX)
 #define print_debug_hex32(HEX)   __console_tx_hex32(BIOS_DEBUG, HEX)
 #define print_spew_hex32(HEX)    __console_tx_hex32(BIOS_SPEW, HEX)
Index: svn/src/include/console/loglevel.h
===================================================================
--- svn.orig/src/include/console/loglevel.h
+++ svn/src/include/console/loglevel.h
@@ -2,15 +2,10 @@
 #define LOGLEVEL_H
 
 /* Safe for inclusion in assembly */
-#define BIOS_EMERG      0   /* system is unusable                   */
-#define BIOS_ALERT      1   /* action must be taken immediately     */
-#define BIOS_CRIT       2   /* critical conditions                  */
 #define BIOS_ERR        3   /* error conditions                     */
 #define BIOS_WARNING    4   /* warning conditions                   */
-#define BIOS_NOTICE     5   /* normal but significant condition     */
 #define BIOS_INFO       6   /* informational                        */
 #define BIOS_DEBUG      7   /* debug-level messages                 */
 #define BIOS_SPEW       8   /* way too many details                 */
-#define BIOS_NEVER	9   /* these messages are never printed     */
 
 #endif /* LOGLEVEL_H */
Index: svn/src/include/cpu/x86/bist.h
===================================================================
--- svn.orig/src/include/cpu/x86/bist.h
+++ svn/src/include/cpu/x86/bist.h
@@ -5,10 +5,10 @@ static void report_bist_failure(u32 bist
 {
 	if (bist != 0) {
 #if CONFIG_USE_PRINTK_IN_CAR
-                printk(BIOS_EMERG, "BIST failed: %08x", bist);
+                printk(BIOS_ERR, "BIST failed: %08x", bist);
 #else
-		print_emerg("BIST failed: ");
-		print_emerg_hex32(bist);
+		print_err("BIST failed: ");
+		print_err_hex32(bist);
 #endif
 		die("\n");
 
Index: svn/src/mainboard/amd/mahogany_fam10/romstage.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany_fam10/romstage.c
+++ svn/src/mainboard/amd/mahogany_fam10/romstage.c
@@ -61,7 +61,7 @@
 #if 0
 void die(const char *msg);
 int do_printk(int msg_level, const char *fmt, ...) __attribute__((format(printf, 2, 3)));
-#define printk(BIOS_EMERG, fmt, arg...)   do_printk(BIOS_EMERG   ,fmt, ##arg)
+#define printk(BIOS_ERR, fmt, arg...)   do_printk(BIOS_ERR   ,fmt, ##arg)
 #endif
 #define printk(BIOS_INFO, fmt, arg...)   do_printk(BIOS_INFO   ,fmt, ##arg)
 #include "cpu/x86/bist.h"
Index: svn/src/mainboard/amd/serengeti_cheetah_fam10/romstage.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah_fam10/romstage.c
+++ svn/src/mainboard/amd/serengeti_cheetah_fam10/romstage.c
@@ -62,7 +62,7 @@
 #if 0
 void die(const char *msg);
 int do_printk(int msg_level, const char *fmt, ...) __attribute__((format(printf, 2, 3)));
-#define printk(BIOS_EMERG, fmt, arg...)   do_printk(BIOS_EMERG   ,fmt, ##arg)
+#define printk(BIOS_ERR, fmt, arg...)   do_printk(BIOS_ERR   ,fmt, ##arg)
 #endif
 #include "cpu/x86/bist.h"
 
Index: svn/src/mainboard/via/epia-m700/romstage.c
===================================================================
--- svn.orig/src/mainboard/via/epia-m700/romstage.c
+++ svn/src/mainboard/via/epia-m700/romstage.c
@@ -65,9 +65,9 @@ void jason_tsc_count_car(void)
 	unsigned long long start;
 	asm volatile ("rdtsc" : "=A" (start));
 	start >>= 20;
-	print_emerg("jason_tsc_count_car=  ");
-	print_emerg_hex32((unsigned long) start);
-	print_emerg("\n");
+	print_err("jason_tsc_count_car=  ");
+	print_err((unsigned long) start);
+	print_err("\n");
 #endif
 }
 
Index: svn/src/mainboard/via/epia-m700/wakeup.c
===================================================================
--- svn.orig/src/mainboard/via/epia-m700/wakeup.c
+++ svn/src/mainboard/via/epia-m700/wakeup.c
@@ -131,7 +131,7 @@ void acpi_jump_wake(u32 vector)
 	       sizeof(jump_to_wakeup));
 
 	//jason_tsc_count();
-	printk(BIOS_EMERG, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 	//jason_tsc_count_end();
 
 	unsigned long long *real_mode_gdt_entries_at_eseg;
Index: svn/src/northbridge/amd/amdk8/northbridge.c
===================================================================
--- svn.orig/src/northbridge/amd/amdk8/northbridge.c
+++ svn/src/northbridge/amd/amdk8/northbridge.c
@@ -1007,7 +1007,7 @@ static void amdk8_domain_set_resources(d
 #if CONFIG_GFXUMA == 1
 		printk(BIOS_DEBUG, "node %d : uma_memory_base/1024=0x%08llx, mmio_basek=0x%08lx, basek=0x%08x, limitk=0x%08x\n", i, uma_memory_base >> 10, mmio_basek, basek, limitk);
 		if ((uma_memory_base >> 10) < mmio_basek)
-			printk(BIOS_ALERT, "node %d: UMA memory starts below mmio_basek\n", i);
+			printk(BIOS_ERR, "node %d: UMA memory starts below mmio_basek\n", i);
 #else
 //		printk(BIOS_DEBUG, "node %d : mmio_basek=%08x, basek=%08x, limitk=%08x\n", i, mmio_basek, basek, limitk); //yhlu
 #endif
Index: svn/src/northbridge/amd/amdk8/raminit_f.c
===================================================================
--- svn.orig/src/northbridge/amd/amdk8/raminit_f.c
+++ svn/src/northbridge/amd/amdk8/raminit_f.c
@@ -1960,7 +1960,7 @@ int get_dimm_Trc_clocks(u32 spd_device, 
 
 	if (clocks < DTL_TRC_MIN) {
 #warning We should die here or at least disable this bank.
-		printk(BIOS_NOTICE, "update_dimm_Trc: can't refresh fast enough, "
+		printk(BIOS_INFO, "update_dimm_Trc: can't refresh fast enough, "
 			"want %i clocks, can %i clocks\n", clocks, DTL_TRC_MIN);
 		clocks = DTL_TRC_MIN;
 	}
Index: svn/src/northbridge/amd/lx/raminit.c
===================================================================
--- svn.orig/src/northbridge/amd/lx/raminit.c
+++ svn/src/northbridge/amd/lx/raminit.c
@@ -37,13 +37,13 @@ static void banner(const char *s)
 
 void hcf(void)
 {
-	print_emerg("DIE\n");
+	print_err("DIE\n");
 	/* this guarantees we flush the UART fifos (if any) and also 
 	 * ensures that things, in general, keep going so no debug output 
 	 * is lost
 	 */
 	while (1)
-		print_emerg_char(0);
+		print_err(0);
 }
 
 static void auto_size_dimm(unsigned int dimm)
@@ -66,7 +66,7 @@ static void auto_size_dimm(unsigned int 
 	/* EEPROM byte usage: (5) Number of DIMM Banks */
 	spd_byte = spd_read_byte(dimm, SPD_NUM_DIMM_BANKS);
 	if ((MIN_MOD_BANKS > spd_byte) || (spd_byte > MAX_MOD_BANKS)) {
-		print_emerg("Number of module banks not compatible\n");
+		print_err("Number of module banks not compatible\n");
 		post_code(ERROR_BANK_SET);
 		hcf();
 	}
@@ -77,7 +77,7 @@ static void auto_size_dimm(unsigned int 
 	/* EEPROM byte usage: (17) Number of Banks on SDRAM Device */
 	spd_byte = spd_read_byte(dimm, SPD_NUM_BANKS_PER_SDRAM);
 	if ((MIN_DEV_BANKS > spd_byte) || (spd_byte > MAX_DEV_BANKS)) {
-		print_emerg("Number of device banks not compatible\n");
+		print_err("Number of device banks not compatible\n");
 		post_code(ERROR_BANK_SET);
 		hcf();
 	}
@@ -93,7 +93,7 @@ static void auto_size_dimm(unsigned int 
 	 */
 	if ((spd_read_byte(dimm, SPD_NUM_ROWS) & 0xF0)
 	    || (spd_read_byte(dimm, SPD_NUM_COLUMNS) & 0xF0)) {
-		print_emerg("Assymetirc DIMM not compatible\n");
+		print_err("Assymetirc DIMM not compatible\n");
 		post_code(ERROR_UNSUPPORTED_DIMM);
 		hcf();
 	}
@@ -110,7 +110,7 @@ static void auto_size_dimm(unsigned int 
 	dimm_size = __builtin_ctz(dimm_size);
 	banner("TEST DIMM SIZE>8");
 	if (dimm_size > 8) {	/* 8 is 1GB only support 1GB per DIMM */
-		print_emerg("Only support up to 1 GB per DIMM\n");
+		print_err("Only support up to 1 GB per DIMM\n");
 		post_code(ERROR_DENSITY_DIMM);
 		hcf();
 	}
@@ -143,7 +143,7 @@ static void auto_size_dimm(unsigned int 
 	spd_byte = NumColAddr[spd_read_byte(dimm, SPD_NUM_COLUMNS) & 0xF];
 	banner("MAXCOLADDR");
 	if (spd_byte > MAX_COL_ADDR) {
-		print_emerg("DIMM page size not compatible\n");
+		print_err("DIMM page size not compatible\n");
 		post_code(ERROR_SET_PAGE);
 		hcf();
 	}
@@ -185,7 +185,7 @@ static void checkDDRMax(void)
 
 	/* I don't think you need this check.
 	   if (spd_byte0 >= 0xA0 || spd_byte1 >= 0xA0){
-	   print_emerg("DIMM overclocked. Check GeodeLink Speed\n");
+	   print_err("DIMM overclocked. Check GeodeLink Speed\n");
 	   post_code(POST_PLL_MEM_FAIL);
 	   hcf();
 	   } */
@@ -200,7 +200,7 @@ static void checkDDRMax(void)
 
 	/* current speed > max speed? */
 	if (GeodeLinkSpeed() > speed) {
-		print_emerg("DIMM overclocked. Check GeodeLink Speed\n");
+		print_err("DIMM overclocked. Check GeodeLink Speed\n");
 		post_code(POST_PLL_MEM_FAIL);
 		hcf();
 	}
@@ -340,7 +340,7 @@ static void setCAS(void)
 	} else if ((casmap0 &= casmap1)) {
 		spd_byte = CASDDR[__builtin_ctz((uint32_t) casmap0)];
 	} else {
-		print_emerg("DIMM CAS Latencies not compatible\n");
+		print_err("DIMM CAS Latencies not compatible\n");
 		post_code(ERROR_DIFF_DIMMS);
 		hcf();
 	}
@@ -576,14 +576,14 @@ static void sdram_set_spd_registers(cons
 	banner("Check DIMM 0");
 	/* Check DIMM is not Register and not Buffered DIMMs. */
 	if ((spd_byte != 0xFF) && (spd_byte & 3)) {
-		print_emerg("DIMM0 NOT COMPATIBLE\n");
+		print_err("DIMM0 NOT COMPATIBLE\n");
 		post_code(ERROR_UNSUPPORTED_DIMM);
 		hcf();
 	}
 	banner("Check DIMM 1");
 	spd_byte = spd_read_byte(DIMM1, SPD_MODULE_ATTRIBUTES);
 	if ((spd_byte != 0xFF) && (spd_byte & 3)) {
-		print_emerg("DIMM1 NOT COMPATIBLE\n");
+		print_err("DIMM1 NOT COMPATIBLE\n");
 		post_code(ERROR_UNSUPPORTED_DIMM);
 		hcf();
 	}
@@ -649,7 +649,7 @@ static void sdram_enable(int controllers
 	msr = rdmsr(MC_CF07_DATA);
 	if ((msr.hi & ((7 << CF07_UPPER_D1_PSZ_SHIFT) | (7 << CF07_UPPER_D0_PSZ_SHIFT))) == 
 			((7 << CF07_UPPER_D1_PSZ_SHIFT) | (7 << CF07_UPPER_D0_PSZ_SHIFT))) {
-		print_emerg("No memory in the system\n");
+		print_err("No memory in the system\n");
 		post_code(ERROR_NO_DIMMS);
 		hcf();
 	}
@@ -759,7 +759,7 @@ static void sdram_enable(int controllers
 	msr.lo |= (209 << 8);	/* bits[15:8] = 209 */
 	wrmsr(msrnum, msr);
 
-	print_emerg("DRAM controller init done.\n");
+	print_err("DRAM controller init done.\n");
 	post_code(POST_MEM_SETUP_GOOD);	//0x7E
 
 	/* make sure there is nothing stale in the cache */
Index: svn/src/northbridge/via/vx800/examples/chipset_init.c
===================================================================
--- svn.orig/src/northbridge/via/vx800/examples/chipset_init.c
+++ svn/src/northbridge/via/vx800/examples/chipset_init.c
@@ -630,7 +630,7 @@ void hardwaremain(int boot_complete)
 
 	u8 y, x;
 	init_VIA_chipset();
-	printk(BIOS_EMERG, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 
 #if 0
 
@@ -659,11 +659,11 @@ void hardwaremain(int boot_complete)
 
 	/* FIXME: Is there a better way to handle this? */
 	init_timer();
-	printk(BIOS_EMERG, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 
 	/* Find the devices we don't have hard coded knowledge about. */
 	dev_enumerate();
-	printk(BIOS_EMERG, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 #if 0
 	x = y = 0;
 	printk(BIOS_INFO, "dump ehci3 \n");
@@ -682,7 +682,7 @@ void hardwaremain(int boot_complete)
 	post_code(0x66);
 	/* Now compute and assign the bus resources. */
 	dev_configure();
-	printk(BIOS_EMERG, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 #if 0
 	x = y = 0;
 	printk(BIOS_INFO, "dump ehci3 \n");
@@ -701,7 +701,7 @@ void hardwaremain(int boot_complete)
 	post_code(0x88);
 	/* Now actually enable devices on the bus */
 	dev_enable();
-	printk(BIOS_EMERG, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 	/* And of course initialize devices on the bus */
 #if 0
 	x = y = 0;
@@ -720,7 +720,7 @@ void hardwaremain(int boot_complete)
 
 	dev_initialize();
 	post_code(0x89);
-	printk(BIOS_EMERG, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 
 
 //          pci_rawwrite_config16(PCI_RAWDEV(0, 0xf, 0), 0xBA, 0x0571);
Index: svn/src/northbridge/via/vx800/vga.c
===================================================================
--- svn.orig/src/northbridge/via/vx800/vga.c
+++ svn/src/northbridge/via/vx800/vga.c
@@ -85,7 +85,7 @@ static void vga_init(device_t dev)
 	pci_write_config32(dev, 0x14, VIACONFIG_VGA_PCI_14);
 	pci_write_config8(dev, 0x3c, 0x0a);	//same with vx855_lpc.c
 	//*/
-	printk(BIOS_EMERG, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 
 #if 1
 	printk(BIOS_DEBUG, "INSTALL REAL-MODE IDT\n");
@@ -122,7 +122,7 @@ static void vga_init(device_t dev)
 		   outb(0x39, SR_INDEX);
 		   outb(reg8, SR_DATA); */
 	}
-	printk(BIOS_EMERG, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 
 }
 
Index: svn/src/northbridge/via/vx800/vgabios.c
===================================================================
--- svn.orig/src/northbridge/via/vx800/vgabios.c
+++ svn/src/northbridge/via/vx800/vgabios.c
@@ -302,7 +302,7 @@ void do_vgabios(void)
 	u16 tmp;
 	u8 tmp8;
 
-	printk(BIOS_EMERG, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 
 	/* clear vga bios data area */
 	for (i = 0x400; i < 0x500; i++) {
@@ -324,12 +324,12 @@ void do_vgabios(void)
 	pci_write_config32(dev, PCI_ROM_ADDRESS, rom | 1);
 	printk(BIOS_DEBUG, "rom base: %x\n", rom);
 	buf = (unsigned char *)rom;
-	printk(BIOS_EMERG, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 
 	if ((buf[0] == 0x55) && (buf[1] == 0xaa)) {
 		memcpy((void *)0xc0000, buf, size);
 
-		printk(BIOS_EMERG, "file '%s', line %d\n\n", __FILE__, __LINE__);
+		printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 
 		write_protect_vgabios();	// in northbridge
 
@@ -345,7 +345,7 @@ void do_vgabios(void)
 	} else
 		printk(BIOS_DEBUG, "BAD SIGNATURE 0x%x 0x%x\n", buf[0], buf[1]);
 
-	printk(BIOS_EMERG, "file '%s', line %d\n\n", __FILE__, __LINE__);
+	printk(BIOS_ERR, "file '%s', line %d\n\n", __FILE__, __LINE__);
 
 	pci_write_config32(dev, PCI_ROM_ADDRESS, 0);
 }
